Bug 1603185 - RHV4: Unable to do network provision host on RHV, auto selects blank template
Summary: RHV4: Unable to do network provision host on RHV, auto selects blank template
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Compute Resources - RHEV
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: orabin
QA Contact: Sanket Jagtap
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-19 12:06 UTC by Sanket Jagtap
Modified: 2019-10-07 17:17 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:37:37 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:37:44 UTC
Foreman Issue Tracker 24346 None None None 2018-07-23 10:50:08 UTC

Description Sanket Jagtap 2018-07-19 12:06:59 UTC
Description of problem:


Version-Release number of selected component (if applicable):
Build:Satellite 6.4.0 snap12

How reproducible:
Always

Steps to Reproduce:
1. Create a Host on Compute resource RHV
2. Access the console of the host
3.

Actual results:
Fails with no bootable device 

Expected results:
PXE should be used as first boot device

Additional info:
The First boot device should be Network PXE, but the box goes to HDD.
@rplevka noticed that the Blank template is auto selected.
Blank template is a default template created in RHV.

This might be an issue as the blank template as the first boot device to HDD, 
But should this behaviour be controlled by satellite when doing network provisioning

Comment 1 Sanket Jagtap 2018-07-19 12:14:37 UTC
Workaround: Either change the boot options on the Blank template or after provisioning every host, go to rhv and change the first boot device to PXE

Comment 3 Ivan Necas 2018-07-19 12:49:01 UTC
Is this happening for both v3 and v4?

Comment 4 Sanket Jagtap 2018-07-19 12:58:30 UTC
Re-tested with v3 and v4, only reproducible on v4.

Comment 8 Ivan Necas 2018-07-19 16:37:55 UTC
From looking at the code, it seems this issue was in the ApiV4 from the beginning, as we missed some parameters that we pass to the client library to change the boot order.

Comment 10 orabin 2018-07-23 10:50:05 UTC
Created redmine issue https://projects.theforeman.org/issues/24346 from this bug

Comment 11 pm-sat@redhat.com 2018-07-23 12:01:22 UTC
Upstream bug assigned to orabin@redhat.com

Comment 12 pm-sat@redhat.com 2018-07-23 12:01:25 UTC
Upstream bug assigned to orabin@redhat.com

Comment 13 pm-sat@redhat.com 2018-10-19 14:02:02 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/24346 has been resolved.

Comment 16 Sanket Jagtap 2018-12-19 07:27:58 UTC
BUild: Satellite 6.5 snap8 


I was able to successfully provision a Host on RHV using RHV api V4.

hammer> host info --id 2
Id:                       2
UUID:                     dfb9df82-9e4f-4d82-877e-8b622a1cb188
Name:                     alisa-kirwan.sat-domain
Organization:             Default Organization
Location:                 Default Location
Host Group:               rhel7_hstgrp
Compute Resource:         rhv
Compute Profile:          2-Medium
Puppet Environment:       production
Puppet CA Proxy:          qe-sat6-feature-rhel7.sat-domain
Puppet Master Proxy:      qe-sat6-feature-rhel7.sat-domain
Cert name:                alisa-kirwan.sat-domain
Managed:                  yes
Installed at:             2018/12/19 07:09:00
Last report:              2018/12/19 07:10:03
Status:                   
    Global Status: OK
    Build Status:  Installed
Network:                  
    IPv4 address: -.-.111.224
    IPv6 address: 2620:52:0:86f:21a:::
    MAC:          00:1a:4a:16:01:d8
    Subnet ipv4:  Default Subnet
    Domain:       sat-domain
Network interfaces:       
 1) Id:           2
    Identifier:   eth0
    Type:         interface (primary, provision)
    MAC address:  00:1a:4a:16:01:d8
    IPv4 address: -.-.111.224
    IPv6 address: 2620:52:0:86f:21a::::
    FQDN:         alisa-kirwan.sat-domain
Operating system:         
    Architecture:           x86_64
    Operating System:       RHEL Server 7.6
    Build:                  no
    Partition Table:        Kickstart default
    PXE Loader:             PXELinux BIOS
    Custom partition table:
Parameters:               

All parameters:           
    kt_activation_keys => rhel7_ak
    enable-puppet5 => true
    enable-epel => false
Additional info:          
    Owner:      Admin User
    Owner Type: User
    Enabled:    yes
    Model:      RHEV Hypervisor
    Comment:
OpenSCAP Proxy:           1
Content Information:      
    Content View:          
        ID:   19
        Name: rhel7_cv
    Lifecycle Environment: 
        ID:   2
        Name: DEV
    Content Source:        
        ID:   1
        Name: qe-sat6-feature-rhel7.sat-domain
    Kickstart Repository:  
        ID:   11
        Name: 11
    Applicable Packages:   0
    Upgradable Packages:   0
    Applicable Errata:     
        Enhancement: 0
        Bug Fix:     0
        Security:    0
Subscription Information: 
    UUID:                          82098e5a-8614-996977d6757b
    Last Checkin:                  2018-12-19 07:11:13 UTC
    Service Level:                 
    Release Version:               
    Autoheal:                      true
    Registered To:                 qe-sat6-feature-rhel7.sat-domain
    Registered At:                 2018-12-19 07:03:59 UTC
    Registered by Activation Keys: 
     1) rhel7_ak
Host Collections:

Comment 19 errata-xmlrpc 2019-05-14 12:37:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.